Description

Based on #10658

"Layer name could be the name in a postgis table for example, displayed as I would say should work more like an alias, in my opinion

Layer name shouldn't be editable and just be read only as this gives you the name of the layer in provider, displayed as should be editable

so people can use another name if desired, of course by default it would echo layer name

As it is right now it's useless but as I have outlined above it could be useful"

Additionally the behaviour is backward in 2.4. Displayed as is read only (should be used as alias), Layer name is editable (shouldn't) and

echoes to displayed as

Related issues:

Related to QGIS Application - Bug report # 10658: Repeated Layer name Closed 2014-06-20

History

#1 - 2015-04-21 01:32 AM - Hugo Mercier

The "displayed as" field is different if the "capitalize layer names" option is enabled ...

I agree this is confusing. Even with the option enabled, only one layer name should be kept.

About aliases : names are already aliases. Everything in the code relies on the layer's id (unique and set at the creation, not editable) rather than on its

name.

I suggest :

    -  get rid of the "displayed as" field

    -  keep the "name" editable

What do you think ?

#2 - 2015-04-21 07:39 AM - Antonio Locandro

That would match the other COTS behaviour, I guess if you want to get the original name Layer source right below it would provide it.

+1

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
#5 - 2018-03-19 06:22 PM - Antonio Locandro

Tested in latest master version and the issue remains.
